## Ubuntu-it website scripts

A collection of scripts used by the ubuntu-it website team.

### MD5 list generator

* Author: Pietro Albini (pietro98-albini)
* Language: Python 3
* File: `md5s.py`

This script generates the list of all md5s, which can be used to update the "Check the footprint" box in the download page.
If you specific only some releases with parameters, only that releases will be included in the output.

#### Basic usage

```
python3 md5s.py --latest <latest_release_number> --lts <latest_lts_codename> --ita <latest_lts_codename> --derivatives --render-as php
```

#### Accepted options

* `--latest`: The latest release number (example: 13.10)
* `--lts`: The latest lts release number (example: 12.04.4)
* `--ita`: The latest italian remix codename (example: precise)
* `--derivatives`: If passed, get footprints also of all the derivatives
* `--render-as`: Set the render format; Available formats:
 * `php`: Format used by our script in the "Check the footprint" box
 * `moin`: Format used in our wiki, useful for update the md5s list
